- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- DestroyPixelIterator
- NewPixelIterator
- NewPixelRegionIterator
- PixelIteratorGetException
- PixelGetNextRow
- PixelResetIterator
- PixelSetIteratorRow
- PixelSyncIterator

# NAME

pixel_iterator - Pixel Iterator

# SYNOPSIS

unsigned int DestroyPixelIterator( PixelIterator *iterator );

PixelIterator NewPixelIterator( MagickWand *wand );

PixelIterator NewPixelRegionIterator( MagickWand *wand, const long x, const long y, const unsigned long columns, const unsigned long rows, const unsigned int modify );

PixelWand * PixelGetNextRow( PixelIterator *iterator );

char * PixelIteratorGetException( const Pixeliterator *iterator, ExceptionType *severity );

void PixelResetIterator( PixelIterator *iterator );

unsigned int PixelSetIteratorRow( PixelIterator *iterator, const long row );

unsigned int PixelSyncIterator( PixelIterator *iterator );

# FUNCTION DESCRIPTIONS

## DestroyPixelIterator

> DestroyPixelIterator() deallocates resources associated with a PixelIterator.

The format of the DestroyPixelIterator method is:

> unsigned int DestroyPixelIterator ( PixelIterator *iterator );

A description of each parameter follows:

iterator:
  The pixel iterator.

## NewPixelIterator

> NewPixelIterator() returns a new pixel iterator.

The format of the NewPixelIterator method is:

> PixelIterator NewPixelIterator ( MagickWand *wand );

A description of each parameter follows:

wand:
  The magick wand.

## NewPixelRegionIterator

> NewPixelRegionIterator() returns a new pixel iterator.

The format of the NewPixelRegionIterator method is:

> PixelIterator NewPixelRegionIterator ( MagickWand *wand, const long x, const long y, const unsigned long columns, const unsigned long rows, const unsigned int modify );

A description of each parameter follows:

wand:
  The magick wand.

x,y,columns,rows:
  These values define the perimeter of a region of pixels.

## PixelIteratorGetException

> PixelIteratorGetException() returns the severity, reason, and description of any error that occurs when using other methods in this API.

The format of the PixelIteratorGetException method is:

> char *PixelIteratorGetException ( const Pixeliterator *iterator, ExceptionType *severity );

A description of each parameter follows:

iterator:
  The pixel iterator.

severity:
  The severity of the error is returned here.

## PixelGetNextRow

> PixelGetNextRow() returns the next row from the pixel iterator.

The format of the PixelGetNextRow method is:

> PixelWand *PixelGetNextRow ( PixelIterator *iterator );

A description of each parameter follows:

iterator:
  The pixel iterator.

## PixelResetIterator

> PixelResetIterator() resets the pixel iterator. Use it in conjunction with PixelGetNextPixel ( ) to iterate over all the pixels in a pixel container.

The format of the PixelResetIterator method is:

> void PixelResetIterator ( PixelIterator *iterator );

A description of each parameter follows:

iterator:
  The pixel iterator.

## PixelSetIteratorRow

> PixelSetIteratorRow() set the pixel iterator row.

The format of the PixelSetIteratorRow method is:

> unsigned int PixelSetIteratorRow ( PixelIterator *iterator, const long row );

A description of each parameter follows:

iterator:
  The pixel iterator.

## PixelSyncIterator

> PixelSyncIterator() syncs the pixel iterator.

The format of the PixelSyncIterator method is:

> unsigned int PixelSyncIterator ( PixelIterator *iterator );

A description of each parameter follows:

iterator:
  The pixel iterator.

"Image manipulation software that works like magick"